Vampire The Masquerade – Coteries of New York Switch NSP (eShop)

Vampire The Masquerade – Coteries of New York NSP Switch

Title: Vampire The Masquerade – Coteries of New York
Release Date: Mar 24, 2020
Category: Adventure
Publisher: Draw Distance
Type: eShop
Format: NSP
Title ID: 010020C00FFB6000
Title Size: 2.85 GB
Language: English
Required Firmware: 9.0.1
CFW: 9.0.1 + Atmosphere 0.9.4s

Vampire The Masquerade – Coteries of New York NSP presents the conflict between two vampiric factions: the traditionalist Camarilla and the fiercely independent Anarchs.

Description: It’s a unique, atmospheric, single-player narrative experience, set in the rich universe of Vampire: The Masquerade 5th Edition. Choose one of three pre-defined characters and play as a Ventrue, Toreador or Brujah. Each playable character offers a selection of powers (Disciplines), different ethical approaches to certain issues, and unique dialogue lines. Character-oriented quests allow you to meet four unique NPCs: a Tremere sorcerer, a Nosferatu detective, a Gangrel of conflicted loyalties and a Malkavian multifoliate online personality with their own agendas. Win their hearts and minds and up to two of them will assist you in the finale. Depending on your choice of the Clan you will be able to see the events from a distinct perspective. One playthrough is not enough to see all the game has to offer!

How to Install the Game

  1. Install the NSP via Gold Leaf. We recommend Gold Leaf v0.7 as NSP Installer.
  2. Once installations is done play and Enjoy the game.

Download Links

Base Game (2.85 GB)

1Fichier
Download

MEGA
Download

Mediafire
Download

Google Drive
Download

Please report the broken/dead/missing links into the comment section.

guest
4 Comments
Newest
Oldest Most Voted
Inline Feedbacks
View all comments
Serohed
Serohed
4 months ago

Hi, thank you so much for your work. I’ve installed successfully a few nsp with your help, but with this nsp neither Goldleaf nor Awoo don’t recognize it, it says there is no archive.

RafT
RafT
6 months ago

I tried via Sx Installer on FW: 9.1
it says that requires the latest FW